package com.sinosig.web.module.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import com.sinosig.web.module.service.CUSTOMERService;
import com.sinosig.web.module.domain.CUSTOMER;
import com.sinosig.web.module.filter.*;

@RestController
@RequestMapping(value = "")
public class CUSTOMERController {
	@Autowired
    CUSTOMERService customerservice;




    public ResponseEntity<CUSTOMER> getDraftTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }

    public ResponseEntity<Boolean> checkKeyByCID(@PathVariable("cid_id") String cid_id, @RequestBody CUSTOMER customer) {
        return null;
    }

    public ResponseEntity<CUSTOMER> getDraftByCID() {
        return null;
    }


    public ResponseEntity<CUSTOMER> removeTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }

    public ResponseEntity<CUSTOMER> getByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id) {
        return null;
    }


    public ResponseEntity<CUSTOMER> createTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }


    public ResponseEntity<CUSTOMER> getTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }


    public ResponseEntity<CUSTOMER> removeTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }


    public ResponseEntity<CUSTOMER> getDraftTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }


    public ResponseEntity<CUSTOMER> updateTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }

    public ResponseEntity<CUSTOMER> createByCID(@PathVariable("cid_id") String cid_id, @RequestBody CUSTOMER customer) {
        return null;
    }


    public ResponseEntity<CUSTOMER> updateTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }


    public ResponseEntity<CUSTOMER> saveByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }


    public ResponseEntity<CUSTOMER> getSFZXXByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }

    public ResponseEntity<Boolean> removeByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id) {
        return null;
    }


    public ResponseEntity<CUSTOMER> createTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }

    public ResponseEntity<CUSTOMER> updateByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }


    public ResponseEntity<CUSTOMER> getTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("customer_id") String customer_id, @RequestBody CUSTOMER customer) {
        return null;
    }

	public ResponseEntity<List<CUSTOMER>> fetchDefaultByCID() {
        return null;
    }


}
